<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Kendaraan</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Peminjaman Sapras</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <a th:href="@{/request/peminjamanSapras/listRuangan}" class="btn btn-secondary btn-block">Peminjaman Ruangan</a>
                                </div>
                                <div class="col-md-6">
                                    <a th:href="@{/request/peminjamanSapras/listKendaraan}" class="btn btn-primary btn-block">Peminjaman Kendaraan</a>
                                </div>
<!--                                <div class="col-md-4">-->
<!--                                    <a th:href="@{/assetLoan/list}" class="btn btn-secondary btn-block">Peminjaman Barang</a>-->
<!--                                </div>-->
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="card">
                                        <div class="card-header">
                                            <h4>Data Peminjaman Kendaraan</h4>
                                            <div class="card-header-action">
                                                <a th:href="@{/request/peminjamanSapras/kendaraan(bulan = ${#dates.format(#dates.createNow(), 'MM')}, tahun = ${#dates.format(#dates.createNow(), 'YYYY')})}" class="btn btn-sm btn-info">Form Pengajuan Peminjaman Kendaraan</a>
                                            </div>
                                        </div>
                                        <div class="card-body">
                                            <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${berhasil != null}">
                                                <strong>Save</strong> data successful...
                                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${pembayaran != null}">
                                                <strong>Save</strong> data successful...
                                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="table-responsive">
                                                <table class="table table-striped">
                                                    <thead>
                                                    <tr>
                                                        <th>#</th>
                                                        <th>Kendaraan</th>
                                                        <th>Tujuan</th>
                                                        <th>Tanggal Pinjam</th>
                                                        <th>Tarif</th>
                                                        <th>Status</th>
                                                        <th></th>
                                                        <th></th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr th:each="data, row:${kendaraan}">
                                                        <td th:text="${(row.index + 1)}">#</td>
                                                        <td th:text="${data.idMobil.merek + '(' + data.idMobil.nomorPolisi + ')'}"></td>
                                                        <td th:text="${data.tujuan}"></td>
                                                        <td th:text="${data.tanggalPinjam}"></td>
                                                        <td th:text="${data.tarif}"></td>
                                                        <td>
                                                            <!-- Button trigger modal -->
                                                            <button type="button" th:if="${data.statusPeminjaman == 'WAITING'}" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#approvalKendaraan' + data.id}">
                                                                WAITING
                                                            </button>

                                                            <button type="button" th:if="${data.statusPeminjaman == 'APPROVED'}" class="btn btn-success btn-sm" data-toggle="modal" th:data-target="${'#approvalKendaraan' + data.id}">
                                                                APPROVED
                                                            </button>

                                                            <!-- Modal -->
                                                            <div class="modal fade bd-example-modal-lg" th:id="${'approvalKendaraan' + data.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
                                                                <div class="modal-dialog modal-lg" role="document">
                                                                    <div class="modal-content">
                                                                        <div class="modal-header">
                                                                            <h5 class="modal-title" id="">List Approval</h5>
                                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                                <span aria-hidden="true">&times;</span>
                                                                            </button>
                                                                        </div>
                                                                        <div class="modal-body">
                                                                            <div class="table-responsive">
                                                                                <table class="table table-striped">
                                                                                    <thead>
                                                                                    <tr>
                                                                                        <th>#</th>
                                                                                        <th>Approval</th>
                                                                                        <th>Jabatan</th>
                                                                                        <th>Status</th>
                                                                                        <th>Tanggal Approval</th>
                                                                                    </tr>
                                                                                    </thead>
                                                                                    <tbody>
                                                                                    <tr th:each="dataApprovalKendaraan, row:${listApprovalKendaraan}">
                                                                                        <td th:if="${data.id == dataApprovalKendaraan[0]}" th:text="${(row.index + 1)}"></td>
                                                                                        <td th:if="${data.id == dataApprovalKendaraan[0]}" th:text="${dataApprovalKendaraan[1]}"></td>
                                                                                        <td th:if="${data.id == dataApprovalKendaraan[0]}" th:text="${dataApprovalKendaraan[2]}"></td>
                                                                                        <td th:if="${data.id == dataApprovalKendaraan[0]}" th:text="${dataApprovalKendaraan[3]}"></td>
                                                                                        <td th:if="${data.id == dataApprovalKendaraan[0]}" th:text="${dataApprovalKendaraan[4]}"></td>
                                                                                    </tr>
                                                                                    </tbody>
                                                                                </table>
                                                                            </div>
                                                                        </div>
                                                                        <div class="modal-footer">
                                                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <a th:if="${data.statusPembayaran == 'BELUM_DIBAYAR' && data.statusPeminjaman == 'APPROVED'}" th:href="@{/peminjamanKendaraan/pembayaran(id = ${data.id})}" class="btn btn-outline-warning btn-sm">Segera Lakukan Pembayaran</a>
                                                            <button th:if="${data.statusPembayaran == 'SUDAH_DIBAYAR'}" class="btn btn-success btn-sm">Sudah Dibayar</button>
                                                        </td>
                                                        <td>
                                                            <form th:action="@{/request/peminjamanSapras/kendaraan/delete(peminjamanKendaraan = ${data.id})}" method="post">
                                                                <button class="btn btn-sm btn-danger" type="submit">cancel</button>
                                                            </form>
                                                        </td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                        <div class="card-footer">
                                            <div class="d-flex align-items-center justify-content-between text-muted border-top py-3 mt-3">
                                                <nav>
                                                    <ul class="pagination d-flex justify-content-center pagination-success" sd:pagination="full">
                                                        <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-left"></i></a></li>
                                                        <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                                        <li class="page-item"><a class="page-link" href="#">2</a></li>
                                                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                                                        <li class="page-item"><a class="page-link" href="#">4</a></li>
                                                        <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-right"></i></a></li>
                                                    </ul>
                                                </nav>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
</body>
</html>